libtaxii
--------

libtaxii is a Python library for handling TAXII Messages as Python objects and invoking TAXII Services.

## Overview
A primary goal of libtaxii is to remain faithful to both the TAXII
specifications and to customary Python practices. libtaxii is designed to be
intuitive both to Python developers and XML developers.

## Installation
Installation Instructions: https://github.com/TAXIIProject/libtaxii/wiki/Installation

## Getting Started
Documentation is available here: https://github.com/TAXIIProject/libtaxii/wiki/Documentation

If your question is not answered in the documentation (and it very well may not be, documentation is an ongoing process),
you are encouraged to post your question to the TAXII discussion list (http://taxii.mitre.org/community/registration.html).

## Layout
The libtaxii project has the following layout:  
libtaxii/ - A folder containing the libtaxii library. The `import libtaxii` statement imports this folder.  
tests/ - A folder containing libtaxii tests.  
xsd/ - A folder containing XML Schemas used by libtaxii  
LICENSE.txt - Contains license information for libtaxii  
READEME.md - You are reading it now  
setup.py - Installation file (See the Installation Instructions for more information)  

## Versioning

Releases of libtaxii will be given 'major.minor.revision'
version numbers, where 'major' and 'minor' correspond to the TAXII version
being supported. The 'revision' number is used to indicate new versions of
libtaxii.

## Feedback 
You are encouraged to provide feedback by commenting on open issues
or signing up for the TAXII discussion list and posting your questions 
(http://taxii.mitre.org/community/registration.html).

## News / Updates

General information can now be found here: https://github.com/TAXIIProject/libtaxii/wiki


Release notes can now be found here: https://github.com/TAXIIProject/libtaxii/wiki/Release-Notes

For license information, see the LICENSE.txt file.
